> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the line items of a payable

> Get a list of all line items related to a specific payable.
Related guide: [List all payable line items](https://docs.monite.com/accounts-payable/payables/line-items#list-all-line-items-of-a-payable)

See also:

[Manage line items](https://docs.monite.com/accounts-payable/payables/line-items)

[Collect payables](https://docs.monite.com/accounts-payable/payables/collect)



## OpenAPI

````yaml /.tooling/schemas/rest/tags/product-finops.json get /finops/v1/payables/{payable_id}/line-items
openapi: 3.1.0
info:
  title: Tesouro Partner API
  version: '2025-06-23'
  description: The Tesouro REST API, for Tesouro partners to integrate with our solution.
  termsOfService: https://tesouro.com/terms
  contact:
    name: Tesouro team
    url: https://tesouro.com/about/
    email: developers@tesouro.com
servers:
  - url: https://api.sandbox.tesouro.com
    description: Sandbox
security: []
tags:
  - name: Accounting connections
  - name: Accounting data pull
  - name: Accounting synchronized records
  - name: Accounting tax rates
  - name: Analytics
  - name: Approval policies
  - name: Approval requests
  - name: Bank details
  - name: Comments
  - name: Cost centers
  - name: Counterpart VAT IDs
  - name: Counterpart addresses
  - name: Counterpart bank accounts
  - name: Counterpart contacts
  - name: Counterparts
  - name: Credit notes
  - name: Custom tax rates
  - name: Delivery notes
  - name: Documents
  - name: Entities
  - name: Entity users
  - name: Events
  - name: Files
  - name: Identity
  - name: Ledger accounts
  - name: Mail templates
  - name: Mailbox domains
  - name: Mailboxes
  - name: Measure units
  - name: OCR
  - name: Overdue reminders
  - name: PDF templates
  - name: Payable line items
  - name: Payables
  - name: Payment intents
  - name: Payment links
  - name: Payment methods
  - name: Payment records
  - name: Payment reminders
  - name: Payment terms
  - name: Products
  - name: Projects
  - name: Purchase orders
  - name: Receipts
  - name: Receivables
  - name: Recurrences
  - name: Tags
  - name: Text templates
  - name: Transactions
  - name: VAT rates
  - name: Webhook deliveries
  - name: Webhook subscriptions
paths:
  /finops/v1/payables/{payable_id}/line-items:
    get:
      tags:
        - Payable line items
      summary: Get the line items of a payable
      description: >-
        Get a list of all line items related to a specific payable.

        Related guide: [List all payable line
        items](https://docs.monite.com/accounts-payable/payables/line-items#list-all-line-items-of-a-payable)


        See also:


        [Manage line
        items](https://docs.monite.com/accounts-payable/payables/line-items)


        [Collect
        payables](https://docs.monite.com/accounts-payable/payables/collect)
      operationId: get_payables_id_line-items
      parameters:
        - required: true
          schema:
            type: string
            format: date
          example: '2025-06-23'
          name: x-finops-version
          in: header
        - required: true
          schema:
            type: string
            format: uuid
          name: payable_id
          in: path
        - description: >-
            Sort order (ascending by default). Typically used together with the
            `sort` parameter.
          required: false
          schema:
            allOf:
              - $ref: '#/components/schemas/OrderEnum'
            default: asc
          name: order
          in: query
        - description: >-
            The number of items (0 .. 100) to return in a single page of the
            response. The response may contain fewer items if it is the last or
            only page.
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 100
          name: limit
          in: query
        - description: >-
            A pagination token obtained from a previous call to this endpoint.
            Use it to get the next or previous page of results for your initial
            query. If `pagination_token` is specified, all other query
            parameters are ignored and inferred from the initial query.


            If not specified, the first page of results will be returned.
          required: false
          schema:
            type: string
          name: pagination_token
          in: query
        - description: >-
            The field to sort the results by. Typically used together with the
            `order` parameter.
          required: false
          schema:
            allOf:
              - $ref: '#/components/schemas/LineItemCursorFields'
          name: sort
          in: query
        - required: false
          schema:
            type: string
            format: uuid
          name: was_created_by_user_id
          in: query
        - description: The ID of the entity that owns the requested resource.
          required: true
          schema:
            type: string
            format: uuid
            examples:
              - 9d2b4c8f-2087-4738-ba91-7359683c49a4
          name: x-organization-id
          in: header
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LineItemPaginationResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '405':
          description: Method Not Allowed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '406':
          description: Not Acceptable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    OrderEnum:
      type: string
      enum:
        - asc
        - desc
    LineItemCursorFields:
      type: string
      enum:
        - created_at
        - updated_at
    LineItemPaginationResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/LineItemResponse'
          type: array
        next_pagination_token:
          type: string
          description: >-
            A token that can be sent in the `pagination_token` query parameter
            to get the next page of results, or `null` if there is no next page
            (i.e. you've reached the last page).
        prev_pagination_token:
          type: string
          description: >-
            A token that can be sent in the `pagination_token` query parameter
            to get the previous page of results, or `null` if there is no
            previous page (i.e. you've reached the first page).
      type: object
      required:
        - data
    ErrorSchemaResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorSchema'
      type: object
      required:
        - error
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    LineItemResponse:
      properties:
        id:
          type: string
          format: uuid
        accounting_tax_rate_id:
          type: string
          format: uuid
          description: >-
            ID of the tax rate reference used for accounting integartion. May be
            used to override auto-picked tax rate reference in accounting
            platform in case of any platform-specific constraints.
          example: dd13735f-ef3a-4312-8c37-835d70341375
        description:
          type: string
          description: Description of the product.
        ledger_account_id:
          type: string
          format: uuid
          description: >-
            ID of the account record used to store bookkeeping entries for
            balance-sheet and income-statement transactions.
          example: 7df884fd-8be8-4eba-b6ff-417b66efe033
        name:
          type: string
          description: Name of the product.
        ocr_set_quantity_to_one:
          type: boolean
          description: >-
            Indicates whether the item's `unit_price` and `quantity` were
            adjusted by OCR.
          default: false
          example: false
        payable_id:
          type: string
          format: uuid
        quantity:
          type: number
          description: >-
            The quantity of each of the goods, materials, or services listed in
            the payable.
          example: 1.22
        subtotal:
          type: integer
          description: >-
            The subtotal (excluding tax), in [minor
            units](https://docs.monite.com/references/currencies#minor-units).
          example: 1250
        tax:
          type: integer
          description: >-
            Tax rate in percent [minor
            units](https://docs.monite.com/references/currencies#minor-units).
            Example: 12.5% is 1250.
          example: 2000
        tax_amount:
          type: integer
          description: >-
            Tax amount in [minor
            units](https://docs.monite.com/references/currencies#minor-units).
            For example, $12.50 is represented as 1250.
          example: 250
        total:
          type: integer
          description: The actual price of the product.
          example: 1200
        unit:
          type: string
          description: The unit of the product
          example: meter
        unit_price:
          type: integer
          description: >-
            The unit price of the product, in [minor
            units](https://docs.monite.com/references/currencies#minor-units).
            For example, $12.50 is represented as 1250.
          example: 1500
        was_created_by_user_id:
          type: string
          format: uuid
          description: ID of the user who created the tag.
          example: ea837e28-509b-4b6a-a600-d54b6aa0b1f5
      type: object
      required:
        - id
        - payable_id
    ErrorSchema:
      properties:
        message:
          type: string
      type: object
      required:
        - message
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````